import 'package:test/test.dart';
import 'package:holzleitner_api/holzleitner_api.dart';


/// tests for PaymentMethodsApi
void main() {
  final instance = HolzleitnerApi().getPaymentMethodsApi();

  group(PaymentMethodsApi, () {
    // Legt eine neue Zahlungsmethode an.
    //
    //Future<PaymentMethodResponse> createPaymentMethod(CreatePaymentMethodRequest createPaymentMethodRequest) async
    test('test createPaymentMethod', () async {
      // TODO
    });

    // Hartes Löschen. `409 Conflict`, wenn die Methode von einer Lieferung referenziert wird — der Admin soll dann den `active = false`-Pfad nutzen.
    //
    //Future deletePaymentMethod(String id) async
    test('test deletePaymentMethod', () async {
      // TODO
    });

    // Listet die Zahlungsmethoden.
    //
    //Future<PaymentMethodsList> listPaymentMethods({ bool includeInactive }) async
    test('test listPaymentMethods', () async {
      // TODO
    });

    // Patcht Anzeige-Name und/oder Aktiv-Flag.
    //
    //Future<PaymentMethodResponse> updatePaymentMethod(String id, UpdatePaymentMethodRequest updatePaymentMethodRequest) async
    test('test updatePaymentMethod', () async {
      // TODO
    });

  });
}
